cgi.rbのCGI#blockquoteとCGI#captionがエラー

08/25/2008 01:17 PM - xibbar (Takeyuki FUJIOKA)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v:  Backport:  

Description

=begin

String#collectが使えなくなった影響で

２つのタグ生成メソッドがエラーになります。

html3、html4、html4trで全てチェックしましたが、

以上の２つだけでした。

Index: lib/cgi.rb

--- lib/cgi.rb (revision 18827)

+++ lib/cgi.rb (working copy)

@@ -1389,11 +1389,11 @@

#

#   blockquote("http://www.example.com/quotes/foo.html") { "Foo!" }

#     #=> "<BLOCKQUOTE CITE="http://www.example.com/quotes/foo.html\">Foo!

def blockquote(cite = nil)  # :yield:

def blockquote(cite = {})  # :yield:

attributes = if cite.kind_of?(String)

{ "CITE" => cite }

else

                cite or ""

                cite

              end

 if block_given?

   super(attributes){ yield }

@@ -1413,11 +1413,11 @@

#

#   caption("left") { "Capital Cities" }

#     # => <CAPTION ALIGN="left">Capital Cities

def caption(align = nil) # :yield:

def caption(align = {}) # :yield:

attributes = if align.kind_of?(String)

{ "ALIGN" => align }

else

                align or ""

                align

              end

 if block_given?
http://www.example.com/quotes/foo.html
   super(attributes){ yield }

=end

History

#1 - 08/25/2008 10:50 PM - xibbar (Takeyuki FUJIOKA)

=begin

引数を取らないタグ生成メソッド（CGI#ttなど）をCGI.new("html3").tt("foo")などとやるとエラーになるので

パッチを追加します。

Index: lib/cgi.rb

--- lib/cgi.rb (revision 18827)

+++ lib/cgi.rb (working copy)

@@ -1283,6 +1283,7 @@

#   - O EMPTY

def nOE_element_def(element, append = nil)

s = <<-END

     attributes={attributes=>nil} if attributes.kind_of?(String)

     "<#{element.upcase}" + attributes.collect{|name, value|

       next unless value

       " " + CGI::escapeHTML(name) +

=end

#2 - 08/26/2008 12:04 AM - xibbar (Takeyuki FUJIOKA)

- File test_cgi_tag_helper.diff added

=begin

html3の分だけテストを書きましたのでdiffの形式で添付します。

=end

#3 - 08/26/2008 11:47 AM - naruse (Yui NARUSE)

- Status changed from Open to Closed

- % Done changed from 0 to 100

=begin

Applied in changeset r18860.

=end

Files

test_cgi_tag_helper.diff 11.8 KB 08/26/2008 xibbar (Takeyuki FUJIOKA)
